Run of fresh-snapshots for libdate-manip-perl

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
Traceback (most recent call last):
  File "/usr/lib/python3.10/http/client.py", line 565, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.10/http/client.py", line 532, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.10/http/client.py", line 582, in _read_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.10/http/client.py", line 567, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/worker.py", line 712, in process_package
    es.enter_context(ws)
  File "/usr/lib/python3.10/contextlib.py", line 492, in enter_context
    result = _cm_type.__enter__(cm)
  File "/code/silver-platter/silver_platter/workspace.py", line 180, in __enter__
    self.local_tree, self._destroy = create_temp_sprout(
  File "/code/silver-platter/silver_platter/utils.py", line 98, in create_temp_sprout
    raise e
  File "/code/silver-platter/silver_platter/utils.py", line 73, in create_temp_sprout
    to_dir = branch.controldir.sprout(  # type: ignore
  File "/code/breezy/breezy/git/dir.py", line 187, in sprout
    interrepo.fetch_objects(determine_wants=determine_wants,
  File "/code/breezy/breezy/git/interrepo.py", line 775, in fetch_objects
    refs = self.source.controldir.fetch_pack(
  File "/code/breezy/breezy/git/remote.py", line 481, in fetch_pack
    result = self._client.fetch_pack(
  File "/code/dulwich/dulwich/client.py", line 2090, in fetch_pack
    _handle_upload_pack_tail(
  File "/code/dulwich/dulwich/client.py", line 597, in _handle_upload_pack_tail
    pkt = proto.read_pkt_line()
  File "/code/dulwich/dulwich/protocol.py", line 230, in read_pkt_line
    sizestr = read(4)
  File "/code/breezy/breezy/transport/http/urllib.py", line 1901, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.10/http/client.py", line 459, in read
    return self._read_chunked(amt)
  File "/usr/lib/python3.10/http/client.py", line 597, in _read_chunked
    raise IncompleteRead(b''.join(value))
http.client.IncompleteRead: IncompleteRead(0 bytes read)

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=update deb-new-upstream --snapshot --refresh-patches to DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far. not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 1195, max open: 200)
  • ☒ change set 20031f07-765a-48ad-afc4-86826793fe05 is working

Full worker log